<h2>My Heroes</h2>
<ul class="heroes">
  <div>
    <label for="new-hero">Hero name: </label>
    <input id="new-hero" #heroName />

    <!-- (click) passes input value to add() and then clears the input -->
    <button type="button" class="add-button" (click)="add(heroName.value); heroName.value=''">
      Add hero
    </button>
  </div>
  <li *ngFor="let hero of heroes">
    <a routerLink="/detail/{{hero.id}}">
      <span class="badge">{{hero.id}}</span> {{hero.name}}
    </a>
  </li>
</ul>

